This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 474859 - perl-Module-Info claims to provide perl(B::Utils) when it doesn't
perl-Module-Info claims to provide perl(B::Utils) when it doesn't
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: perl-Module-Info (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Steven Pritchard
Fedora Extras Quality Assurance
:
Depends On: perl-B-Utils
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-05 11:52 EST by Iain Arnell
Modified: 2008-12-17 12:27 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-17 12:27:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Iain Arnell 2008-12-05 11:52:36 EST
Description of problem:

perl-Module-Info claims to provide perl(B::Utils) when it doesn't


Version-Release number of selected component (if applicable):

perl-Module-Info-0.31-3.fc9.noarch


Steps to Reproduce:
1. yum install 'perl(B::Utils)'
2. perl -MB::Utils -e ''
  
Actual results:

Can't locate B/Utils.pm in @INC (@INC contains: /usr/lib64/perl5/5.10.0/x86_64-linux-thread-multi /usr/lib/perl5/5.10.0 /usr/local/lib64/perl5/site_perl/5.10.0/x86_64-linux-thread-multi /usr/local/lib/perl5/site_perl/5.10.0 /usr/lib64/perl5/vendor_perl/5.10.0/x86_64-linux-thread-multi /usr/lib/perl5/vendor_perl/5.10.0 /usr/lib/perl5/vendor_perl /usr/local/lib/perl5/site_perl /usr/local/lib64/perl5/site_perl .).
BEGIN failed--compilation aborted.


Expected results:

[no output at all]


Additional info:

I need B::Utils => 0.05 to get the latest HTML::FormFu packaged (via Test::Aggregate and Data::Dump::Streamer). Bug for review of perl-B-Utils-0.07 will be submitted shortly....
Comment 1 Chris Weyl 2008-12-06 15:18:05 EST
So, interesting.  The B::Utils packaged here (lib/B/BUtils.pm) appears to be a forked version of B::Utils (around 0.04).  I've installed your perl-B-Utils package and run the test suite of Module::Info without the bundled B::Utils; everything passes.

Here's my thought.  Let's get perl-B-Utils reviewed; once it's in I'll rebuild this package while removing the bundled B/BUtils.pm...  That should take care of everything nicely.
Comment 2 Iain Arnell 2008-12-07 03:26:02 EST
That's strange - and a little suprising.  For me, the tests fail horribly if I remove B/BUtils.pm (Can't locate B/BUtils.pm in @INC).  Even if I patch B/Module/Info.pm to use B::Utils, a couple of tests still fail.  Did you have perl-Module-Info rpm installed by any chance?

I wouldn't remove B/BUtils.pm; just strip out the perl(B::Utils) provides from the RPM - no harm at all as absolutely nothing requires perl(B::Utils) yet - not even perl-Module-Info.
Comment 3 Steven Pritchard 2008-12-17 12:27:15 EST
Fixed in 0.31-4 (currently building).

Let me know if I need to push that to any other branches.

Note You need to log in before you can comment on or make changes to this bug.